cURL
curl --request PUT \ --url https://api.zippendo.com/orgs/{orgId}/carriers/{carrierId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "carrierSlug": "<string>", "config": {}, "senderAddressId": "<string>" } '
{ "id": "<string>", "name": "<string>", "carrierSlug": "<string>", "config": {}, "senderAddressId": "<string>", "orgId": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "senderAddress": { "id": "<string>", "name": "<string>", "attContact": "<string>", "address1": "<string>", "address2": "<string>", "zipcode": "<string>", "city": "<string>", "phone": "<string>", "countryCode": "<string>", "state": "<string>", "email": "jsmith@example.com", "orgId": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "customs": {} } }
Update a carrier
JWT access token or API token (prefixed with zipp_)
Organization ID
Carrier ID
Carrier name
1
Carrier slug identifier
Carrier configuration JSON
Show child attributes
Sender address ID
Default Response
Carrier configuration (required and optional fields)
Associated sender address ID